# Uses of Enum
org.eclipse.birt.chart.model.attribute.RuleType

Packages that use RuleType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of RuleType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type RuleType
Modifier and Type
Field
Description
`static final List<RuleType>`
RuleType.`VALUES`
Deprecated.
A public read-only list of all the 'Rule Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return RuleType
Modifier and Type
Method
Description
`static RuleType`
RuleType.`get(int value)`
Deprecated.
Returns the 'Rule Type' literal with the specified integer value.
`static RuleType`
RuleType.`get(String literal)`
Deprecated.
Returns the 'Rule Type' literal with the specified literal value.
`static RuleType`
RuleType.`getByName(String name)`
Deprecated.
Returns the 'Rule Type' literal with the specified name.
`static RuleType`
RuleType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static RuleType[]`
RuleType.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of RuleType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return RuleType
Modifier and Type
Method
Description
`RuleType`
AttributeFactoryImpl.`createRuleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`RuleType`
AttributeFactoryImpl.`createRuleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of RuleType in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return RuleType
Modifier and Type
Method
Description
`RuleType`
Rule.`getType()`
Deprecated.
Returns the value of the 'Type' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type RuleType
Modifier and Type
Method
Description
`void`
Rule.`setType(RuleType value)`
Deprecated.
Sets the value of the '`Type`' attribute.

## Uses of RuleType in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return RuleType
Modifier and Type
Method
Description
`RuleType`
RuleImpl.`getType()`
Deprecated.
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type RuleType
Modifier and Type
Method
Description
`static final Rule`
RuleImpl.`create(RuleType rt, String sValue)`
Deprecated.
A convenience method provided to create a new initialized rule instance
`void`
RuleImpl.`setType(RuleType newType)`
Deprecated.